PropertyRadar Public API
- Match and import to list
PropertyRadar API (5.0.0.0)
About Lists
View and manage potential customers and properties, by sorting properties into organized groups, called lists
PropertyRadar supports 3 different kinds of lists, and each type can be monitored or unmonitored.
Dynamic lists
Dynamic lists are created from a Criteria object, and are updated automatically when monitored. If a Dynamic list is unmonitored, it is updated whenever you make a call to view the items in the list, such as Properties from Criteria (using InList), or View list items.
Static lists
Static Lists are created by adding properties to a list using Add items to list. They do not have search criteria. Properties on Static lists only change when you add or remove properties, or set up an automation to do so.
Import lists
With import lists, you provide raw unmatched data such as addresses or emails via Match and import to list, and we match that data with our records and create a list of matching records.
Request
Import records into a given list and match them. The request body is a JSON array of items to be imported for matching.
First you'll need to use Create a List to create a list. Make sure to set:
ImportSource=api ListType=import
A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"
Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.
- https://api.propertyradar.com/v1/lists/{ListID}/import/items
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://api.propertyradar.com/v1/lists/123456/import/items?Fields=ListImportItemID&Purchase=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"FirstName": "John",
"LastName": "Doe",
"FullName": "John Doe",
"Email": "email@example.com",
"EmailStatus": "Active",
"Phone": "555-555-1234",
"PhoneType": "mobile",
"PhoneStatus": "Active",
"Address": "120 SE Main St #500",
"City": "ANAHEIM",
"State": "CA",
"ZipFive": "95555",
"County": "ORANGE",
"APN": "13-08-180-021"
}
]'{ "results": [ { … } ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }
A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"
Comma-delimited list of directions (asc or desc) for fields provided in Sort param. For instance if you were sorting on A ascending first, then on B descending (in cases of multiple identical values of A) you would specify &Sort=A,B&Dir=asc,desc
Property import status between Selected, Matched, Pending, Not Found.
Person import status between Matched Primary, Matched Set as Primary, Added as Primary, Matched, Selected as Primary, Selected, Not Found, No Longer at Property.
- https://api.propertyradar.com/v1/lists/{ListID}/import/items
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.propertyradar.com/v1/lists/123456/import/items?Fields=ListID&Limit=10&Sort=ListImportItemID&Dir=desc&Start=0&MatchScore=50&PropertyStatus=Selected&PersonStatus=Matched+Primary' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "results": [ { … } ] }
- https://api.propertyradar.com/v1/lists/{ListID}/import/items/{ListImportItemID}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
https://api.propertyradar.com/v1/lists/123456/import/items/123456 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"PersonKey": "p123123",
"RadarID": "P8A0E18D"
}'{ "results": [ { … } ] }
- https://api.propertyradar.com/v1/lists/{ListID}/import/items/{ListImportItemID}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://api.propertyradar.com/v1/lists/123456/import/items/123456 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "deleteCount": 1 }